Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.filter
Class ValueActionFilter

    |
    +--biouml.standard.filter.ValueActionFilter

Direct Known Subclasses:
  BiopolimerDiagramFilter.CellTypeFilter, BiopolimerDiagramFilter.InducerFilter, BiopolimerDiagramFilter.SpeciesFilter

public abstract class ValueActionFilter
extends Option
implements ActionFilter

Filter condition is specified as a set of ActionValuess. Virtual method `getValue` returns some string value for dataElement that is kernel of corresponding diagram element. The filter looks to what valueActions corresponds this value and returns some action that is composition of satisfying valueActions. The actions composition is defined as following:

- empty set - null is returned
- one action - this action will be returned
- if set contains one or more Hide actions, then `Hide.instance will be returned`
- otherwise ComplexHighlightAction will be generated and returned.

Special empty value action is defined to process empty values.

Field Summary
`static String` | `EMPTY_VALUE`

Constructor Summary
`ValueActionFilter(Option parent, String[] values, boolean useEmptyValue)` Creates ValueActionFilter instance.

Method Summary
`Action` | `getAction(DiagramElement de)`
`String` | `getItemDisplayName(Integer index, Object obj)` used to calculate display name for child filters.
`abstract String` | `getValue(DataElement de)`
`ValueAction[]` | `getValueAction()`
`ValueAction` | `getValueAction(int i)`
`boolean` | `isEnabled()`
`boolean` | `isUseEmptyValue()`
`void` | `setEnabled(boolean enabled)`
`void` | `setValueAction(ValueAction[] valueActions)`
`void` | `setValueAction(int i, ValueAction valueAction)`

Field Detail

### EMPTY_VALUE

    public static String EMPTY_VALUE

Constructor Detail

### ValueActionFilter

    public ValueActionFilter(Option parent, String[] values, boolean useEmptyValue)

  Creates ValueActionFilter instance.
  Parameters:
    parent - - usually DiagramFilter instance
    values - - list of values for which corresponding value actions will be generated
    useEmptyValue - - indicates whethe empty value should be used. If true - empty value action will be inserted first in list of value actions.

Method Detail

### getAction

    public Action getAction(DiagramElement de)

### getItemDisplayName

    public String getItemDisplayName(Integer index, Object obj)

  used to calculate display name for child filters.

### getValue

    public abstract String getValue(DataElement de)

### getValueAction

    public ValueAction[] getValueAction()

### getValueAction

    public ValueAction getValueAction(int i)

### isEnabled

    public boolean isEnabled()

### isUseEmptyValue

    public boolean isUseEmptyValue()

### setEnabled

    public void setEnabled(boolean enabled)

### setValueAction

    public void setValueAction(ValueAction[] valueActions)

### setValueAction

    public void setValueAction(int i, ValueAction valueAction)

Association Links

to Class java.lang.String

to Class biouml.standard.filter.ValueAction

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM